// ------------------------------------------------------------------
// Consulta situação MDFe
// ------------------------------------------------------------------
unit ConsultarSituacaoNFCom;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, ComObj, Dialogs;

type
  TConsultaSituacaoNFCom = class
  private

  public
    procedure Executar;
  end;

implementation

procedure TConsultaSituacaoNFCom.Executar;
var
  oConfiguracao: olevariant;
  oConsSitNFCom: olevariant;
  oConsultaProtocolo: olevariant;
  oExceptionInterop: olevariant;

  X: Integer;
  oProcEventoNFe: OleVariant;
  xmlEvento, nomeArqDistribEvento: string;
  nHandle: TFileStream;

begin
  // Criar objeto de configuração mínima

  //Criar objeto do XML

  //Criar objeto para pegar exceção do lado do CSHARP
  oExceptionInterop := CreateOleObject('Unimake.Exceptions.ThrowHelper');

  try
    //Consumir o serviço

    //String do XML retornado pela SEFAZ

    //Código de Status e Motivo

  except
    ShowMessage(oExceptionInterop.GetMessage());
    ShowMessage(IntToStr(oExceptionInterop.GetErrorCode()));
  end;
end;

end.
